Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 434820 - No support for HPGL printers/knife cutters/laser cutters
No support for HPGL printers/knife cutters/laser cutters
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 12:31 EST by Alan Cox
Modified: 2008-02-26 08:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 08:47:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2008-02-25 12:31:36 EST
Description of problem:

Various plotters/knife cutters/laser cutters such as the Graphtec need HPGL or
filtered HPGL as input. Although all of the pipeline for this is free software
and exists our print system has no idea how to drive them

Expected Results:

Recognize the printer and/or offer generic/hpgl option

Produce a print pipeline of:

pstoedit -f plot-hpgl

Or for cutters that need filtering

pstoedit -f plot-hgpl | hpgl-distiller 


For anyone doing signmaking, laser cutting or similar this means you can then
print from inkscape and produce product without hacks

See also:  http://pldaniels.com/hpgl-distiller

Can provide a test environment.
Comment 1 Tim Waugh 2008-02-25 12:50:47 EST
Sounds like you need to make a package that provides:

a) CUPS filter (man 7 filter) for converting application/postscript to
application/hpgl (or whatever).  Just need to parse arguments and work out
whether input comes from stdin or from a named file

b) PPD file(s) with the appropriate *cupsFilter line -- you can probably use
cupsddk to create one to suit.  Just need something like:

*cupsFilter: "application/vnd.cups-postscript 0 my-pstohpgl-filter"

None of this needs changes to system-config-printer or to cups.
Comment 2 Tim Waugh 2008-02-26 06:35:18 EST
Let me know if you need further help with it.
Comment 3 Alan Cox 2008-02-26 08:34:06 EST
I opened this bug against system-config-printer not cups. Re-opening.

This ought to be automatic, and/or an system-config-printer option for generic/hpgl

Comment 4 Tim Waugh 2008-02-26 08:47:44 EST
It's nothing to do with system-config-printer -- nowadays that is just another
interface to CUPS, just like http://localhost:631/ and like /usr/sbin/lpadmin.

All you need to do is make yourself a cupshpgl package which just provides the
PPD and the filter. (...and then we can put it through the Fedora review process
etc)

See e.g. gutenprint-cups, which does something extremely similar.

No changes are needed in existing packages for this.

Note You need to log in before you can comment on or make changes to this bug.